{
	"name": "form/nc/erp-sync/4d/query/order-purchase-sales.json",
	"table": [
		{
			"record_type": ["purchase"],
			"table": "order"
		}
	],
	"parameter": {
		"show_sql": false,
		"organization_id": "external_organization_id",
		"order_date": "2025-01-01",
		"external_company_id": [],
		"order_type_order_purchase": "plugin/nc-calc-server/constant.json/order_type_order_purchase",
		"order_state_open_purchase": "plugin/nc-calc-server/constant.json/order_state_need_purchase"
	},
	"query": [["ord.order_date", ">", "order_date"], "and", ["ord.company_id", "in", "external_company_id"]],
	"query-": [
		["ord.order_date", ">", "order_date"],
		"and",
		["ord.order_type", "in", "order_type_order_purchase"],
		"and",
		["ord.order_state", "in", "order_state_open_purchase"],
		"and",
		["ord.company_id", "in", "company_id"]
	],
	"order": ["ord.order_id", "<"]
}
